# Uses of Class
java.io.FileDescriptor

Packages that use FileDescriptor
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.net
Provides the classes for implementing networking applications.
jdk.nio
Defines JDK-specific `channel` APIs.

- ## Uses of FileDescriptor in java.io

  Fields in java.io declared as FileDescriptor
  Modifier and Type
  Field
  Description
  `static final FileDescriptor`
  FileDescriptor.`err`
  A handle to the standard error stream.
  `static final FileDescriptor`
  FileDescriptor.`in`
  A handle to the standard input stream.
  `static final FileDescriptor`
  FileDescriptor.`out`
  A handle to the standard output stream.
  Methods in java.io that return FileDescriptor
  Modifier and Type
  Method
  Description
  `final FileDescriptor`
  FileInputStream.`getFD()`
  Returns the `FileDescriptor` object that represents the connection to the actual file in the file system being used by this `FileInputStream`.
  `final FileDescriptor`
  FileOutputStream.`getFD()`
  Returns the file descriptor associated with this stream.
  `final FileDescriptor`
  RandomAccessFile.`getFD()`
  Returns the opaque file descriptor object associated with this stream.
  Constructors in java.io with parameters of type FileDescriptor
  Modifier
  Constructor
  Description
  ``
  `FileInputStream(FileDescriptor fdObj)`
  Creates a `FileInputStream` by using the file descriptor `fdObj`, which represents an existing connection to an actual file in the file system.
  ``
  `FileOutputStream(FileDescriptor fdObj)`
  Creates a file output stream to write to the specified file descriptor, which represents an existing connection to an actual file in the file system.
  ``
  `FileReader(FileDescriptor fd)`
  Creates a new `FileReader`, given the `FileDescriptor` to read, using the default charset.
  ``
  `FileWriter(FileDescriptor fd)`
  Constructs a `FileWriter` given a file descriptor, using the default charset.

- ## Uses of FileDescriptor in java.lang

  Methods in java.lang with parameters of type FileDescriptor
  Modifier and Type
  Method
  Description
  `void`
  SecurityManager.`checkRead(FileDescriptor fd)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Throws `SecurityException`.
  `void`
  SecurityManager.`checkWrite(FileDescriptor fd)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Throws `SecurityException`.

- ## Uses of FileDescriptor in java.net

  Fields in java.net declared as FileDescriptor
  Modifier and Type
  Field
  Description
  `protected FileDescriptor`
  DatagramSocketImpl.`fd`
  The file descriptor object.
  `protected FileDescriptor`
  SocketImpl.`fd`
  The file descriptor object for this socket.
  Methods in java.net that return FileDescriptor
  Modifier and Type
  Method
  Description
  `protected FileDescriptor`
  DatagramSocketImpl.`getFileDescriptor()`
  Gets the datagram socket file descriptor.
  `protected FileDescriptor`
  SocketImpl.`getFileDescriptor()`
  Returns the value of this socket's `fd` field.

- ## Uses of FileDescriptor in jdk.nio

  Methods in jdk.nio with parameters of type FileDescriptor
  Modifier and Type
  Method
  Description
  `static SelectableChannel`
  Channels.`readWriteSelectableChannel(FileDescriptor fd, Channels.SelectableChannelCloser closer)`
  Creates a selectable channel to a file descriptor that supports an `operation-set` of `OP_READ` and `OP_WRITE`.